This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 826051 - [eap6] redo security subsystem not to use operations for child resource addition/removal
[eap6] redo security subsystem not to use operations for child resource addit...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: JON 3.1.0
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On: 824869
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-05-29 09:28 EDT by Heiko W. Rupp
Modified: 2013-09-03 11:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 824869
Environment:
Last Closed: 2013-09-03 11:14:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2012-05-29 09:28:52 EDT
+++ This bug was initially created as a clone of Bug #824869 +++

Description of problem: security subsystem in AS7 plugin is a little bit obsolete. All other subsystems use 'new Child' mechanism for adding/removing child resources. 


Version-Release number of selected component (if applicable):
JON 3.1.ER4 EAP6.ER8

  
Actual results:
there are operations add/remove under security subsystem (does not work and make sense)
there are operations add/remove under 'Security Domain' child resource (does not work)
there are operations add/remove under 'Authorization' child resource (does not work)

Expected results:
All operations are removed, Security domains and Authorizations can be added using 'create Child' in Inventory
Comment 1 Heiko W. Rupp 2012-05-29 09:29:43 EDT
cherry picked over to release branch by stefan

d8b68f55f9b99e47e3d
and
97c4ffae72e478f306e
Comment 3 Heiko W. Rupp 2013-09-03 11:14:09 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.